/***************************************
  Jaleco SS88006 
***************************************/
function cpu_dump(d, prg_size, banksize)
{
	for(local i = 0; i < (prg_size/0x2000) - 1; i += 1){
		cpu_write(d, 0x8000, (i&0x0F)>>0);//LO
		cpu_write(d, 0x8001, (i&0xF0)>>4);//HI
		cpu_read(d, 0x8000, 0x2000);
	}
	cpu_read(d, 0xc000, 0x2000);
}
function ppu_dump(d, chr_size, banksize)
{
	for(local i = 0; i < chr_size/0x400; i+=8)
	{
			cpu_write(d, 	0xA000,((i|0)&0x0F)>>0, 
							0xA001,((i|0)&0xF0)>>4);
			cpu_write(d, 	0xA002,((i|1)&0x0F)>>0, 
							0xA003,((i|1)&0xF0)>>4);
			cpu_write(d, 	0xB000,((i|2)&0x0F)>>0, 
							0xB001,((i|2)&0xF0)>>4);
			cpu_write(d, 	0xB002,((i|3)&0x0F)>>0, 
							0xB003,((i|3)&0xF0)>>4);
			cpu_write(d, 	0xC000,((i|4)&0x0F)>>0, 
							0xC001,((i|4)&0xF0)>>4);
			cpu_write(d, 	0xC002,((i|5)&0x0F)>>0, 
							0xC003,((i|5)&0xF0)>>4);
			cpu_write(d, 	0xD000,((i|6)&0x0F)>>0, 
							0xD001,((i|6)&0xF0)>>4);
			cpu_write(d, 	0xD002,((i|7)&0x0F)>>0, 
							0xD003,((i|7)&0xF0)>>4);
			ppu_read(d, 0x0000, 0x2000);
	}
}

